﻿FileEncoding, UTF-8
global bLogMessageOn := true
TRACE(file, line, msg)
{
	if (!bLogMessageOn)
	{
		return
	}
	msg := "> " file ":" line ":" msg  "`n"
	FileAppend, %msg%, *, UTF-8
}
LogMessage(ByRef msg)
{
	if (!bLogMessageOn)
	{
		return
	}
	if (IsObject(msg))
	{
		LogMessage(Obj2Str(msg))
		return
	}
	FormatTime, TimeString, , hh:mm:ss
	FileAppend [%TimeString%] %msg% `n, *, UTF-8
}
Obj2Str(ByRef obj) 
{ 
	str := "" , array := true 
	for k in obj 
	{ 
		if (k == A_Index) 
			continue 
		array := false 
		break 
	} 
	for a, b in obj 
		str .= (array ? "" : "'" a "': ") . (IsObject(b) ? Obj2Str(b) : "'" b "'") . ", " 
	str := RTrim(str, " ,") 
	return (array ? "[" str "]" : "{" str "}") 
} 